{
    "format_version": "1.8.0",
    "minecraft:spawn_rules": {
      "description": {
        "identifier": "bd:huggy_wuggy_bd",
        "population_control": "monster"
      },
      "conditions": [
        {
          "minecraft:spawns_underground": {},
          "minecraft:difficulty_filter": {
            "min": "normal",
            "max": "hard"
          },
          "minecraft:weight": {
            "default": 10
          },
		  "minecraft:density_limit": {
			  "surface": 0,
			  "underground": 1
		  },
		  "minecraft:herd": {
			  "min_size":0,
			  "max_size":1
		  },
          "minecraft:biome_filter": {
            "any_of": [
              {"test": "has_biome_tag", "operator": "==", "value": "monster"}
            ]
          }
        },
		{
          "minecraft:spawns_on_surface": {},
		  "minecraft:brightness_filter": {
			  "min": 0,
			  "max": 2,
			  "adjust_for_weather": true
		  },
          "minecraft:difficulty_filter": {
            "min": "normal",
            "max": "hard"
          },
          "minecraft:weight": {
            "default": 3
          },
		  "minecraft:density_limit": {
			  "surface": 1,
			  "underground": 0
		  },
		  "minecraft:herd": {
			  "min_size":0,
			  "max_size":1
		  },
          "minecraft:biome_filter": {
            "any_of": [
              {"test": "has_biome_tag", "operator": "==", "value": "monster"}
            ]
          }
        }
      ]
    }
  }
